# Fn<> DefaultPattern
Default Pattern specialization type.

Defined in | <seqan/find.h>
Signature | `DefaultPattern<TNeedle>::Type;`

## Template Parameters

`TNeedle` | The given needle type.

## Return Values

`Type` | Is `void` by default

#### Dox Sources

    /*!
     * @mfn DefaultPattern
     *
     * @headerfile <seqan/find.h>
     *
     * @brief Default @link Pattern @endlink specialization type.
     *
     * @signature DefaultPattern<TNeedle>::Type;
     *
     * @tparam TNeedle The given needle type.
     *
     * @return Type Is <tt>void</tt> by default
     */